Subject: [Mip4] Clarification question on RFC3024

From: "Narayanan, Vidya" <[email-masked]>
Date: Thu, 9 Aug 2007 13:29:51 -0700

Gabriel, All,
One question regarding RFC3024 - if an MN uses encapsulating style
delivery option with a foreign agent, are packets coming back to the MN
from the HA supposed to be also encapsulated from the FA to the MN?
Section 5.1.2. talks about encapsulation from the MN to the FA, but,
doesn't talk about the other direction. 

It appears that such encapsulation in the FA-to-MN direction would be
unnecessary, but, I'm not sure what was intended by the RFC.  

Thanks,
Vidya

-- 
Mip4 mailing list: [email-masked]
    Web interface: https://www1.ietf.org/mailman/listinfo/mip4
     Charter page: http://www.ietf.org/html.charters/mip4-charter.html
Supplemental site: http://www.mip4.org/

---

From: "Ahmad Muhanna" <[email-masked]>
Date: Thu, 9 Aug 2007 15:50:43 -0500

Hi Vidya,

Yes, there is no encapsulation for packets from FA to MN. 
However, if HA needs to deliver broadcast packets to then MN, HA
encapsulates the packet first with dst. Address is HoA and then
encapsulate it again with src. Address = HA addr and dst. Addr. =
FA-CoA.

Hope this helps.

Regards,
Ahmad

> -----Original Message-----
> From: Narayanan, Vidya [mailto:[email-masked]] 
> Sent: Thursday, August 09, 2007 3:30 PM
> To: gabriel montenegro
> Cc: Mobile IPv4 Mailing List
> Subject: [Mip4] Clarification question on RFC3024
> 
> Gabriel, All,
> One question regarding RFC3024 - if an MN uses encapsulating 
> style delivery option with a foreign agent, are packets 
> coming back to the MN from the HA supposed to be also 
> encapsulated from the FA to the MN?
> Section 5.1.2. talks about encapsulation from the MN to the 
> FA, but, doesn't talk about the other direction. 
> 
> It appears that such encapsulation in the FA-to-MN direction 
> would be unnecessary, but, I'm not sure what was intended by 
> the RFC.  
> 
> Thanks,
> Vidya
> 
> 
> --